## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by go2rpm 1.14.0
%bcond check 1

%global goipath         github.com/tetratelabs/wazero
Version:                1.8.2

%gometa -L -f

%global common_description %{expand:
WebAssembly is a way to safely run code compiled in other languages. Runtimes
execute WebAssembly Modules (Wasm), which are most often binaries with a .wasm
extension.

wazero is a WebAssembly Core Specification 1.0 and 2.0 compliant runtime
written in Go. It has zero dependencies, and doesn't rely on CGO. This means
you can run applications in other languages and still keep cross compilation.}

%global golicenses      LICENSE NOTICE
%global godocs          examples CONTRIBUTING.md RATIONALE.md README.md

Name:           golang-github-tetratelabs-wazero
Release:        %autorelease
Summary:        Wazero: the zero dependency WebAssembly runtime for Go developers

License:        Apache-2.0
URL:            %{gourl}
Source:         %{gosource}

%description %{common_description}

%gopkg

%prep
%goprep -A
%autopatch -p1

%if %{without bootstrap}
%generate_buildrequires
%go_generate_buildrequires
%endif

%if %{without bootstrap}
%build
export LDFLAGS='-X %{goipath}/internal/version.version=%{version} '
%gobuild -o %{gobuilddir}/bin/wazero %{goipath}/cmd/wazero
%endif

%install
%gopkginstall
%if %{without bootstrap}
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/
%endif

%if %{without bootstrap}
%if %{with check}
# Waiting for some test fixes: https://github.com/tetratelabs/wazero/issues/2335
%global gocheckflags %{gocheckflags} -short
%check
%gocheck
%endif
%endif

%if %{without bootstrap}
%files
%license LICENSE NOTICE
%doc CONTRIBUTING.md RATIONALE.md cmd/wazero/README.md
%{_bindir}/wazero
%endif

%gopkgfiles

%changelog
## START: Generated by rpmautospec
* Mon Dec 23 2024 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.8.2-2
- Enable Packit automation

* Mon Dec 23 2024 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.8.2-1
- import rhbz#2323548
## END: Generated by rpmautospec
